summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-10-13 21:57:00 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-10-13 21:57:00 +0200
commit025304e3d70b00ea7a91998d80a16e6183a62fad (patch)
treef9ba6a65325cb80e1cd9eae3559ab4530e3dfc36 /scripts/scan-pkgs.sh
parent2dbe60a5c8d806758609cc499ddbd68437f1fbcc (diff)
minor fixes found via allmodconfig configuration
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 0eeeeaf7c..0bf8f5808 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -133,6 +133,10 @@ if [[ -n $ADK_PACKAGE_LIBXFONT ]]; then
NEED_XMLTO="$NEED_XMLTO libXfont"
fi
+if [[ -n $ADK_PACKAGE_PACEMAKER_MGMTD ]]; then
+ NEED_SWIG="$NEED_SWIG pacemaker-mgmtd"
+fi
+
if [[ -n $ADK_PACKAGE_EGLIBC ]]; then
NEED_GPERF="$NEED_GPERF eglibc"
fi
@@ -313,6 +317,13 @@ if [[ -n $NEED_LIBIDL ]]; then
fi
fi
+if [[ -n $NEED_SWIG ]]; then
+ if ! which swig >/dev/null 2>&1; then
+ echo >&2 You need swig to build $NEED_SWIG
+ out=1
+ fi
+fi
+
if [[ -n $NEED_GPERF ]]; then
if ! which gperf >/dev/null 2>&1; then
echo >&2 You need gperf to build $NEED_GPERF